
  CREATE OR REPLACE FORCE EDITIONABLE VIEW "IDM_RPT_DATA"."IDMRPT_IDENTITY_INFO_V" ("IDENTITY_ID", "JOB_TITLE", "DEPARTMENT", "DEPARTMENT_NUMBER", "JOB_CODE", "WORKFORCE_ID", "EMPLOYEE_STATUS", "EMPLOYEE_TYPE", "MANAGER_WORKFORCE_ID", "COMPANY", "LOCATION", "COST_CENTER", "COST_CENTER_DESCRIPTION", "EMAIL_ADDRESS", "OFFICE_PHONE", "OFFICE_NUMBER", "CELL_PHONE", "PRIVATE_PHONE", "FAX_NUMBER", "IM_ID", "PAGER_NUMBER", "PREFERRED_NAME", "PREFERRED_LANGUAGE", "GENERATIONAL_QUALIFIER", "PREFIX", "MAILSTOP", "STREET_ADDRESS", "CITY", "POSTAL_CODE", "STATE", "COUNTRY", "HIRE_DATE", "TRANSFER_DATE", "TERMINATION_DATE", "FIRST_WORKING_DAY", "LAST_WORKING_DAY", "IDENTITY_DESC", "IDENTITY_VALID_FROM", "IDENTITY_VALID_TO", "FAKE_FUTURE_DATE", "MIDDLE_INITIAL", "FIRST_NAME", "LAST_NAME", "IDMRPT_VALID_FROM", "IDMRPT_VALID_TO", "IDV_NAME", "IDV_HOST", "IDV_ACCT_DN", "IDV_ACCT_STATUS") AS 
  SELECT DISTINCT idmrpt_identity.identity_id,
    idmrpt_identity.job_title,
    idmrpt_identity.department,
    idmrpt_identity.department_number,
    idmrpt_identity.job_code,
    idmrpt_identity.workforce_id,
    idmrpt_identity.employee_status,
    idmrpt_identity.employee_type,
    idmrpt_identity.manager_workforce_id,
    idmrpt_identity.company,
    idmrpt_identity.location,
    idmrpt_identity.cost_center,
    idmrpt_identity.cost_center_description,
    idmrpt_identity.email_address,
    idmrpt_identity.office_phone,
    idmrpt_identity.office_number,
    idmrpt_identity.cell_phone,
    idmrpt_identity.private_phone,
    idmrpt_identity.fax_number,
    idmrpt_identity.im_id,
    idmrpt_identity.pager_number,
    idmrpt_identity.preferred_name,
    idmrpt_identity.preferred_language,
    idmrpt_identity.generational_qualifier,
    idmrpt_identity.prefix,
    idmrpt_identity.mailstop,
    idmrpt_identity.street_address,
    idmrpt_identity.city,
    idmrpt_identity.postal_code,
    idmrpt_identity.state,
    idmrpt_identity.country,
    idmrpt_identity.hire_date,
    idmrpt_identity.transfer_date,
    idmrpt_identity.termination_date,
    idmrpt_identity.first_working_day,
    idmrpt_identity.last_working_day,
    idmrpt_identity.identity_desc,
    idmrpt_identity.idmrpt_valid_from identity_valid_from,
    idmrpt_identity.idmrpt_valid_to identity_valid_to,
    CONCAT(TO_CHAR(CURRENT_DATE, 'YYYY') + TO_CHAR('20'), TO_CHAR(CURRENT_TIMESTAMP, '-MM-DD HH24:MI:SS.FF TZH:TZM' )) fake_future_date,
    idmrpt_identity.middle_initial,
    idmrpt_identity.first_name,
    idmrpt_identity.last_name,
    idmrpt_idv_acct.idmrpt_valid_from,
    idmrpt_idv_acct.idmrpt_valid_to,
    idmrpt_rpt_driver.idv_name,
    idmrpt_rpt_driver.idv_host,
    idmrpt_idv_acct.idv_acct_dn,
    idmrpt_idv_acct.idv_acct_status
   FROM idm_rpt_data.idmrpt_identity_cs_v idmrpt_identity
     LEFT JOIN idm_rpt_data.idmrpt_identity_cs_v idmrpt_identity_mgr ON idmrpt_identity_mgr.identity_id = idmrpt_identity.mgr_id
     LEFT JOIN idm_rpt_data.idmrpt_idv_acct_cs_v idmrpt_idv_acct ON idmrpt_identity.identity_id = idmrpt_idv_acct.identity_id AND idmrpt_idv_acct.idmrpt_deleted = 0
     LEFT JOIN idm_rpt_data.idmrpt_idv_v idmrpt_idv ON idmrpt_idv_acct.idv_id = idmrpt_idv.idv_id
     LEFT JOIN idm_rpt_data.idmrpt_rpt_driver_v idmrpt_rpt_driver ON idmrpt_rpt_driver.idv_id = idmrpt_idv.idv_id
     AND
        CASE
            WHEN idmrpt_idv_acct.rpt_drv_id IS NOT NULL AND idmrpt_rpt_driver.rpt_drv_id = idmrpt_idv_acct.rpt_drv_id THEN 1
            ELSE 0
        END = 1;

  GRANT SELECT ON IDM_RPT_DATA.IDMRPT_IDENTITY_INFO_V TO idmrptuser;
CREATE OR REPLACE PUBLIC SYNONYM IDMRPT_IDENTITY_INFO_V for IDM_RPT_DATA.IDMRPT_IDENTITY_INFO_V;